Debian Bug report logs - #379846
FTBFS: build depends on libpq-dev and heimdal-dev, while libpq-dev depends on libkrb5-dev which conflicts heimdal-dev

version graph

Package: cyrus-sasl2; Maintainer for cyrus-sasl2 is Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>;

Reported by: RISKO Gergely <risko@debian.org>

Date: Tue, 25 Jul 2006 21:19:08 UTC

Severity: serious

Tags: fixed

Fixed in versions 2.1.19.dfsg1-0.3, cyrus-sasl-2.1/2.1.22-0~pre01

Done: Fabian Fagerholm <fabbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#379846; Package cyrus-sasl2. Full text and rfc822 format available.

Acknowledgement sent to RISKO Gergely <risko@debian.org>:
New Bug report received and forwarded. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: RISKO Gergely <risko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: build depends on libpq-dev and heimdal-dev, while libpq-dev depends on libkrb5-dev which conflicts heimdal-dev
Date: Tue, 25 Jul 2006 22:49:13 +0200
Package: cyrus-sasl2
Severity: serious

SSIA, it seems that libpq-dev's libkrb5-dev dependency is a new thing.
Don't know, how to fix, since we want psql modules and heimdal kerberos
modules too...


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-ck1
Locale: LANG=C, LC_CTYPE=hu_HU (charmap=ISO-8859-2)



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#379846; Package cyrus-sasl2. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #10 received at 379846@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 336485@bugs.debian.org, 379846@bugs.debian.org
Subject: Patch for NMU
Date: Fri, 15 Sep 2006 19:44:17 +0200
[Message part 1 (text/plain, inline)]
Here is the NMU patch for bugs 336485 and 379846.  Sorry, they kind of go on 
top of each other, but it's easy to figure out.
[sasl.patch (text/x-diff, attachment)]

Tags added: fixed Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#379846; Package cyrus-sasl2. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #17 received at 379846@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Peter Eisentraut <petere@debian.org>, 336485@bugs.debian.org
Cc: 379846@bugs.debian.org
Subject: Re: Bug#336485: Patch for NMU
Date: Fri, 15 Sep 2006 13:09:17 -0700
On Fri, Sep 15, 2006 at 07:44:17PM +0200, Peter Eisentraut wrote:
> Here is the NMU patch for bugs 336485 and 379846.  Sorry, they kind of go on 
> top of each other, but it's easy to figure out.

And what about the objections raised in the bug log that a simple recompile
with libdb4.3-dev isn't safe?  What testing have you done to ensure that the
problems described in
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=336485;msg=24> won't
happen?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#379846; Package cyrus-sasl2. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #22 received at 379846@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Steve Langasek <vorlon@debian.org>, 379846@bugs.debian.org
Cc: Peter Eisentraut <petere@debian.org>, 336485@bugs.debian.org
Subject: Re: Bug#379846: Bug#336485: Patch for NMU
Date: Fri, 15 Sep 2006 18:41:09 -0300
On Fri, 15 Sep 2006, Steve Langasek wrote:
> On Fri, Sep 15, 2006 at 07:44:17PM +0200, Peter Eisentraut wrote:
> > Here is the NMU patch for bugs 336485 and 379846.  Sorry, they kind of go on 
> > top of each other, but it's easy to figure out.
> 
> And what about the objections raised in the bug log that a simple recompile
> with libdb4.3-dev isn't safe?  What testing have you done to ensure that the
> problems described in
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=336485;msg=24> won't
> happen?

Not to mention that all databases used by sasl need to be db43_upgrade'd
automatically and safely (backups, and a roolback path), and that cyrus-sasl
is linked to glibc nssswitch modules, like e.g. openldap, and will segfault
**EVERY** program in the system if something goes wrong.

Do *not* change libsasl's default berkeley DB without deploying and testing
all of the above first.  And when you do, upload to *experimental* first,
please.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#379846; Package cyrus-sasl2. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #27 received at 379846@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 379846@bugs.debian.org, Peter Eisentraut <petere@debian.org>, 336485@bugs.debian.org
Subject: Re: Bug#379846: Bug#336485: Patch for NMU
Date: Fri, 15 Sep 2006 15:10:05 -0700
On Fri, Sep 15, 2006 at 06:41:09PM -0300, Henrique de Moraes Holschuh wrote:
> On Fri, 15 Sep 2006, Steve Langasek wrote:
> > On Fri, Sep 15, 2006 at 07:44:17PM +0200, Peter Eisentraut wrote:
> > > Here is the NMU patch for bugs 336485 and 379846.  Sorry, they kind of go on 
> > > top of each other, but it's easy to figure out.

> > And what about the objections raised in the bug log that a simple recompile
> > with libdb4.3-dev isn't safe?  What testing have you done to ensure that the
> > problems described in
> > <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=336485;msg=24> won't
> > happen?

> Not to mention that all databases used by sasl need to be db43_upgrade'd
> automatically and safely (backups, and a roolback path), and that cyrus-sasl
> is linked to glibc nssswitch modules, like e.g. openldap, and will segfault
> **EVERY** program in the system if something goes wrong.

I don't see any way that nsswitch is relevant here.  There's no sasl nss
module, and there are no nss modules that link to libdb4.2 -- so if this was
going to cause a problem due to libdb version skew, the problem would
already exist.

I agree that care needs to be taken for database upgrades.  Are there fixed
locations for the databases that cyrus-sasl will use, that can be handled in
the maintainer script?  Or is this infinitely configurable, in which case
the user will have to do a by-hand upgrade anyway?

> Do *not* change libsasl's default berkeley DB without deploying and testing
> all of the above first.  And when you do, upload to *experimental* first,
> please.

I see no value in an upload to experimental.  Experimental doesn't get
enough user testing to be useful for much beyond coordinated rebuilds tests.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#379846; Package cyrus-sasl2. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #32 received at 379846@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 379846@bugs.debian.org, Peter Eisentraut <petere@debian.org>, 336485@bugs.debian.org
Subject: Re: Bug#379846: Bug#336485: Patch for NMU
Date: Sat, 16 Sep 2006 00:16:34 -0300
On Fri, 15 Sep 2006, Steve Langasek wrote:
> > Not to mention that all databases used by sasl need to be db43_upgrade'd
> > automatically and safely (backups, and a roolback path), and that cyrus-sasl
> > is linked to glibc nssswitch modules, like e.g. openldap, and will segfault
> > **EVERY** program in the system if something goes wrong.
> 
> I don't see any way that nsswitch is relevant here.  There's no sasl nss
> module, and there are no nss modules that link to libdb4.2 -- so if this was

Well, I don't know what openldap is doing lately... yes, libdb should *not*
cause problems anymore in debian since we supposedly strongly versioned all
of them, but this deserves a test anyway.

> I agree that care needs to be taken for database upgrades.  Are there fixed
> locations for the databases that cyrus-sasl will use, that can be handled in
> the maintainer script?  Or is this infinitely configurable, in which case
> the user will have to do a by-hand upgrade anyway?

AFAIK, the location is fixed. /etc/sasldb2.  I don't recall if this can be
easily overriden on an app-basis, but if it can, there is nothing short of
modifying libsasl itself to detect and call db->upgrade() that would fix the
issue.  And I am *not* advocating that we do that.

> > Do *not* change libsasl's default berkeley DB without deploying and testing
> > all of the above first.  And when you do, upload to *experimental* first,
> > please.
> 
> I see no value in an upload to experimental.  Experimental doesn't get
> enough user testing to be useful for much beyond coordinated rebuilds tests.

You can at least *ask* for such tests after you upload to experimental...

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Dima Barsky <dima@debian.org>:
Bug#379846; Package cyrus-sasl2. Full text and rfc822 format available.

Acknowledgement sent to Chaskiel M Grundman <cg2v@andrew.cmu.edu>:
Extra info received and forwarded to list. Copy sent to Dima Barsky <dima@debian.org>. Full text and rfc822 format available.

Message #37 received at 379846@bugs.debian.org (full text, mbox):

From: Chaskiel M Grundman <cg2v@andrew.cmu.edu>
To: 379846@bugs.debian.org
Subject: "libsasl2-modules-gssapi-heimdal" isn't anymore (was Re: Bug#379846: Patch for NMU )
Date: Sun, 24 Sep 2006 13:55:53 -0400 (EDT)
This patch causes libsasl2-modules-gssapi-heimdal to use mit gssapi 
libraries, becoming equivalent to libsasl2-gssapi-mit.

if this build-depends change is the only way to make building cyrus-sasl2 
work, then it should probably be arranged that libsasl2-gssapi-mit is 
built from the cyrus-sasl2 sources, and libsasl2-modules-gssapi-heimdal is 
built from a separate source package, as libsasl2-gssapi-mit is now. Of 
course, this requires finding someone to maintain said source package. 
Alternatively, libsasl2-modules-gssapi-heimdal could be phased out, 
replaced with a transition package that depends on libsasl2-gssapi-mit



Tags added: pending Request was from "Roberto C. Sanchez" <roberto@connexer.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.1.19.dfsg1-0.3, send any further explanations to RISKO Gergely <risko@debian.org> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to RISKO Gergely <risko@debian.org>:
Bug#379846. Full text and rfc822 format available.

Message #44 received at 379846-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 331601-submitter@bugs.debian.org, 331607-submitter@bugs.debian.org, 332216-submitter@bugs.debian.org, 332237-submitter@bugs.debian.org, 332389-submitter@bugs.debian.org, 332424-submitter@bugs.debian.org, 325490-submitter@bugs.debian.org, 332451-submitter@bugs.debian.org, 332507-submitter@bugs.debian.org, 332702-submitter@bugs.debian.org, 332703-submitter@bugs.debian.org, 332808-submitter@bugs.debian.org, 332896-submitter@bugs.debian.org, 333035-submitter@bugs.debian.org, 342420-submitter@bugs.debian.org, 333046-submitter@bugs.debian.org, 333460-submitter@bugs.debian.org, 333857-submitter@bugs.debian.org, 333885-submitter@bugs.debian.org, 340743-submitter@bugs.debian.org, 334252-submitter@bugs.debian.org, 334320-submitter@bugs.debian.org, 334651-submitter@bugs.debian.org, 335126-submitter@bugs.debian.org, 335144-submitter@bugs.debian.org, 335146-submitter@bugs.debian.org, 335252-submitter@bugs.debian.org, 335274-submitter@bugs.debian.org, 335567-submitter@bugs.debian.org, 335719-submitter@bugs.debian.org, 335842-submitter@bugs.debian.org, 336168-submitter@bugs.debian.org, 336312-submitter@bugs.debian.org, 336485-submitter@bugs.debian.org, 379846-submitter@bugs.debian.org, 336535-submitter@bugs.debian.org, 336710-submitter@bugs.debian.org, 337246-submitter@bugs.debian.org, 337453-submitter@bugs.debian.org, 337495-submitter@bugs.debian.org, 337576-submitter@bugs.debian.org, 337593-submitter@bugs.debian.org, 339192-submitter@bugs.debian.org, 346695-submitter@bugs.debian.org, 347154-submitter@bugs.debian.org, 337708-submitter@bugs.debian.org, 337711-submitter@bugs.debian.org, 338327-submitter@bugs.debian.org, 340076-submitter@bugs.debian.org, 345223-submitter@bugs.debian.org, 338370-submitter@bugs.debian.org, 338432-submitter@bugs.debian.org, 338483-submitter@bugs.debian.org, 338537-submitter@bugs.debian.org, 338920-submitter@bugs.debian.org, 339024-submitter@bugs.debian.org, 341234-submitter@bugs.debian.org, 339073-submitter@bugs.debian.org, 339103-submitter@bugs.debian.org, 339187-submitter@bugs.debian.org, 339220-submitter@bugs.debian.org, 339225-submitter@bugs.debian.org, 339226-submitter@bugs.debian.org, 339236-submitter@bugs.debian.org, 339241-submitter@bugs.debian.org, 339250-submitter@bugs.debian.org, 339267-submitter@bugs.debian.org, 339268-submitter@bugs.debian.org, 339280-submitter@bugs.debian.org, 339711-submitter@bugs.debian.org, 339806-submitter@bugs.debian.org, 339835-submitter@bugs.debian.org, 340010-submitter@bugs.debian.org, 340084-submitter@bugs.debian.org, 340163-submitter@bugs.debian.org, 340174-submitter@bugs.debian.org, 340516-submitter@bugs.debian.org, 340577-submitter@bugs.debian.org, 341011-submitter@bugs.debian.org, 341975-submitter@bugs.debian.org, 342035-submitter@bugs.debian.org, 342322-submitter@bugs.debian.org, 346188-submitter@bugs.debian.org, 347153-submitter@bugs.debian.org, 343035-submitter@bugs.debian.org, 343771-submitter@bugs.debian.org, 343782-submitter@bugs.debian.org, 343795-submitter@bugs.debian.org, 343804-submitter@bugs.debian.org, 343912-submitter@bugs.debian.org, 343989-submitter@bugs.debian.org, 344029-submitter@bugs.debian.org, 344254-submitter@bugs.debian.org, 344447-submitter@bugs.debian.org, 344503-submitter@bugs.debian.org, 345737-submitter@bugs.debian.org, 345880-submitter@bugs.debian.org, 344742-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 23:09:18 +0100
# Hi,
#
# These bugs were fixed in an NMU, but have not been acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important
# to know which version of a package fixes each bug so that they can be
# tracked for release status, so I'm closing these bugs with the
#relevant version information now

close 331601 0.11.3-1.3
close 331607 0.11.3-1.3
close 332216 2005.08.R1-1.1
close 332237 0.11.3-1.4
close 332389 3.1.2-0.1
close 332424 2.6.1-6sarge1
close 325490 0.7.1-1.1
close 332451 0.7.1-1.1
close 332507 0.4.5+cvs20030824-1.5
close 332702 1.5-2.1
close 332703 2.1.19-1.7
close 332808 2.0.12-1.5
close 332896 2.6.2.pre2-1.1
close 333035 0.12-8.1
close 342420 0.12-8.1
close 333046 2.2-5.1
close 333460 1.0-23.2
close 333857 1.0-23.2
close 333885 1.0.20040603-1.1
close 340743 1.0.20040603-1.1
close 334252 20031130-2.1
close 334320 1.4.2-5.1
close 334651 3.0-4.1
close 335126 0.5.3-1.1
close 335144 3.1.1-4.1
close 335146 0.2-1.1
close 335252 0.4.0-1.1
close 335274 0.13-3.2
close 335567 0.4.5+cvs20030824-1.6
close 335719 3.0.cvs20050714-1.1
close 335842 3.10-1.1
close 336168 1.4-2.1
close 336312 0.2.4-4.1
close 336485 2.1.19.dfsg1-0.3
close 379846 2.1.19.dfsg1-0.3
close 336535 2005.08.R1-1.2
close 336710 1:3.2.6-2.1
close 337246 1.0.1-6.1
close 337453 0.9b3-2.1
close 337495 2.09-2sarge1
close 337576 20.0-1.1
close 337593 1.1.3-5.1
close 339192 1.1.3-5.1
close 346695 1.1.3-5.1
close 347154 1.1.3-5.1
close 337708 1.20-2.1
close 337711 0.5-0.2
close 338327 1.9-11.1
close 340076 1.9-11.1
close 345223 1.9-11.1
close 338370 1.35-4.1
close 338432 2.3.3-6.2
close 338483 0.95-1.3
close 338537 1.6-1.1
close 338920 46-2.1
close 339024 4.2.24-1.1
close 341234 4.2.24-1.1
close 339073 1.5.19-20+sarge1
close 339103 0.5.0-1.1
close 339187 6:6.2.4.5-0.3
close 339220 0.6.5-2
close 339225 1.0.4-1.2
close 339226 2.6.1-2.2
close 339236 2.6.2.pre2-1.2
close 339241 1.2.2-4.1
close 339250 6.4-1.1
close 339267 4.2.0-8.1
close 339268 0.7.2-1.1
close 339280 0.1.5.9+cvs.2004.02.07-3.3
close 339711 2.0pl5-19.4
close 339806 0.8pre1-6.1
close 339835 2.11b-1.4
close 340010 1.3-2.2
close 340084 1:1.2.3-9.1
close 340163 0.2.9-5.1
close 340174 0.99.44-0.1
close 340516 1.1.6-2.1
close 340577 1.1.0.20050815-2.1
close 341011 1.8-1.1
close 341975 0.70.1-1.1
close 342035 0.70.1-1.1
close 342322 9.4.2-2.5
close 346188 9.4.2-2.5
close 347153 9.4.2-2.5
close 343035 0.3b.19990815-3.1
close 343771 4.3.9-2.1
close 343782 1.3.13.1-4.1
close 343795 0.5.8-0.1
close 343804 0.3.7-4.1
close 343912 0.0.4-2.1
close 343989 8.4.11-1.1
close 344029 2.1-5.1
close 344254 2.0.9-3.2
close 344447 0.79-3.1
close 344503 9.4.2-2.7
close 345737 2.1.19-1.8
close 345880 2.1.19-1.8
close 344742 0.1.14-1.1




Reply sent to Fabian Fagerholm <fabbe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to RISKO Gergely <risko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 379846-close@bugs.debian.org (full text, mbox):

From: Fabian Fagerholm <fabbe@debian.org>
To: 379846-close@bugs.debian.org
Subject: Bug#379846: fixed in cyrus-sasl-2.1 2.1.22-0~pre01
Date: Wed, 25 Oct 2006 06:49:16 -0700
Source: cyrus-sasl-2.1
Source-Version: 2.1.22-0~pre01

We believe that the bug you reported is fixed in the latest version of
cyrus-sasl-2.1, which is due to be installed in the Debian FTP archive:

cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
cyrus-sasl-2.1_2.1.22-0~pre01.dsc
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22-0~pre01.dsc
cyrus-sasl-2.1_2.1.22.orig.tar.gz
  to pool/main/c/cyrus-sasl-2.1/cyrus-sasl-2.1_2.1.22.orig.tar.gz
libsasl2-2-dev_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-dev_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
libsasl2-2-modules_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2-modules_2.1.22-0~pre01_i386.deb
libsasl2-2_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-2_2.1.22-0~pre01_i386.deb
libsasl2-dev_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-dev_2.1.22-0~pre01_i386.deb
libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
libsasl2-modules_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2-modules_2.1.22-0~pre01_i386.deb
libsasl2_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/libsasl2_2.1.22-0~pre01_i386.deb
sasl2-bin_2.1.22-0~pre01_i386.deb
  to pool/main/c/cyrus-sasl-2.1/sasl2-bin_2.1.22-0~pre01_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Fagerholm <fabbe@debian.org> (supplier of updated cyrus-sasl-2.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 19 Oct 2006 23:26:02 +0300
Source: cyrus-sasl-2.1
Binary: libsasl2-2 cyrus-sasl-2.1-bin libsasl2 libsasl2-2-dev sasl2-bin libsasl2-dev libsasl2-2-modules-gssapi-mit libsasl2-modules-gssapi-heimdal libsasl2-2-modules-otp cyrus-sasl-2.1-doc libsasl2-modules-sql libsasl2-2-modules-sql libsasl2-modules libsasl2-2-modules
Architecture: source i386 all
Version: 2.1.22-0~pre01
Distribution: experimental
Urgency: low
Maintainer: Fabian Fagerholm <fabbe@debian.org>
Changed-By: Fabian Fagerholm <fabbe@debian.org>
Description: 
 cyrus-sasl-2.1-bin - Administration programs for SASL users database
 cyrus-sasl-2.1-doc - Documentation for Cyrus SASL library and utilities
 libsasl2   - Authentication abstraction library
 libsasl2-2 - Authentication abstraction library
 libsasl2-2-dev - Development files for SASL authentication abstraction library
 libsasl2-2-modules - Pluggable Authentication Modules for SASL
 libsasl2-2-modules-gssapi-mit - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-2-modules-otp - Pluggable Authentication Modules for SASL (OTP)
 libsasl2-2-modules-sql - Pluggable Authentication Modules for SASL (SQL)
 libsasl2-dev - Development files for SASL authentication abstraction library
 libsasl2-modules - Pluggable Authentication Modules for SASL
 libsasl2-modules-gssapi-heimdal - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-modules-sql - Pluggable Authentication Modules for SASL (SQL)
 sasl2-bin  - Administration programs for SASL users database
Closes: 190658 202836 205589 211156 242184 245818 248333 251735 254298 256808 257181 257306 262339 265751 274087 274402 275498 276637 276849 282775 285605 286285 287313 296449 300710 302280 310438 314724 315177 316404 321760 324288 327479 328879 332703 336485 344686 345880 348685 354413 357527 361937 362511 365183 365287 368370 379846 392571
Changes: 
 cyrus-sasl-2.1 (2.1.22-0~pre01) experimental; urgency=low
 .
   * Acknowledged previous NMUs (Closes: #274087, #344686, #362511, #245818)
     (Closes: #276637, #285605, #332703, #336485, #345880, #357527, #379846)
     (Closes: #248333, #315177, #324288, #361937, #242184, #256808, #202836)
     (Closes: #262339, #265751, #275498, #276849)
   * Fabian Fagerholm
     - Adopted package (Closes: #368370)
     - Fixed static linking against libsasl2 (Closes: #282775)
     - Exit with an error if any of the auto* commands fail. (Closes: #321760)
     - New upstream version (Closes: #316404)
       + Fixed crash with DIGEST-MD5 (Closes: #286285, #314724)
       + Built with courier authdaemon support (Closes: #328879)
       + sql plugin respects log_level settings (Closes: #296449)
     - Included a watch file (Closes: #205589)
     - Switched from Heimdal to MIT Kerberos (Closes: #257306, #310438)
     - Repackaged upstream source to remove non-free docs (Closes: #365183)
     - Added symbol versioning (Closes: #327479)
     - Document why libsasl2-modules is recommended (Closes: #302280, #365287)
     - Strip rpath from binaries and shared libraries when build inserts one.
   * Roberto C. Sanchez
     - Added myself to Uploaders field
     - Added missing Build-Depends on groff-base
     - Changed build dependency from db4.2 to db4.4 (Closes: #354413)
     - Made it so that README.configure-options is actually populated
     - Fixed debian/rules so that bogus ldconfig calls are not in post(inst|rm)
     - Added manual page for testsaslauthd(8)
     - Improved socket and pidfile location flexibility
       (Closes: #254298, #300710, #287313)
     - Changed -modules-sql to depend on -modules (Closes: #392571)
     - Put /etc/sasl at start of the config search path (Closes: #211156)
     - Split OTP plugin into its own package (Closes: #251735)
     - Made modules suggest modules-{sql,otp,gssapi-heimdal} (Closes: #348685)
     - Fixed saslauthd init script so it gives useful error (Closes: #257181)
     - Added NTLM to -modules description (Closes: #274402)
     - Added necessary config.h and Makefile to build samples (Closes: #190658)
Files: 
 1b59eac130f785c1f390d751c50eb9cb 1320 libs important cyrus-sasl-2.1_2.1.22-0~pre01.dsc
 47424be7f2f976b40de959fe821308e2 1612191 libs important cyrus-sasl-2.1_2.1.22.orig.tar.gz
 72122bac75b27fe4f82f3ff3570594ac 38623 libs important cyrus-sasl-2.1_2.1.22-0~pre01.diff.gz
 c6ec6775496cee74d1269b8c93306495 96586 doc important cyrus-sasl-2.1-doc_2.1.22-0~pre01_all.deb
 35b71f2bb85f205c043662b773a63388 96044 utils important cyrus-sasl-2.1-bin_2.1.22-0~pre01_i386.deb
 c8fe4c25365b963903a57cf8496fffed 38696 libs important sasl2-bin_2.1.22-0~pre01_i386.deb
 244106234aac3adc1d1f7e952e4d93dc 38684 oldlibs important libsasl2_2.1.22-0~pre01_i386.deb
 45ff84eb7261a35708586449da9b90a4 97556 libs important libsasl2-2_2.1.22-0~pre01_i386.deb
 fbe701feab3406f8f81463ef0e5ba4bd 38706 oldlibs important libsasl2-modules_2.1.22-0~pre01_i386.deb
 485f5b121078de5b6cc31c536fc2a6b6 144452 libs important libsasl2-2-modules_2.1.22-0~pre01_i386.deb
 1791ba0603100e48c129af5a4910669d 69586 libs optional libsasl2-2-modules-otp_2.1.22-0~pre01_i386.deb
 5ab82e92327e2971e671071fec383e1b 38714 oldlibs important libsasl2-modules-sql_2.1.22-0~pre01_i386.deb
 ae5826556e94222904e0e40bd0218df8 58720 libs optional libsasl2-2-modules-sql_2.1.22-0~pre01_i386.deb
 3b09f26d0b41be509b4fbc8305462dc7 38740 oldlibs important libsasl2-modules-gssapi-heimdal_2.1.22-0~pre01_i386.deb
 bb2afbbb23630128d7bf384cc19cb90b 60464 libs optional libsasl2-2-modules-gssapi-mit_2.1.22-0~pre01_i386.deb
 fb7d5bbba30cc041b1bf6d2da7b216f1 38706 oldlibs important libsasl2-dev_2.1.22-0~pre01_i386.deb
 407a2c1962d232bfe0125ab6aa938d5f 254872 libdevel optional libsasl2-2-dev_2.1.22-0~pre01_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFN+WE76VUNpZBmeIRAiSoAJ9CwVgUjeRTu8olBC3aME1YdW3OngCfUQtr
4O8S+CUd53fCiIMCZOFcZhc=
=tnmS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:41:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:03:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.